Configurable (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.conf
Interface Configurable

All Known Subinterfaces:
  SequenceFileInputFilter.Filter, SequenceFileInputFilter.Filter, Tool

All Known Implementing Classes:
  AbstractMapWritable, BinaryPartitioner, BinaryPartitioner, ChecksumFileSystem, Command, CompositeRecordReader, Configured, Count, DataDrivenDBInputFormat, DBCountPageView, DBInputFormat, DefaultCodec, DefaultTaskController, DistributedPentomino, DumpTypedBytes, FileSystem, FilterFileSystem, FsShell, FTPFileSystem, GenericWritable, Grep, GzipCodec, HarFileSystem, InMemoryFileSystem, InnerJoinRecordReader, InputSampler, InputSampler, JobClient, Join, JoinRecordReader, KeyFieldBasedComparator, KeyFieldBasedPartitioner, KosmosFileSystem, LinuxMemoryCalculatorPlugin, LinuxResourceCalculatorPlugin, LoadTypedBytes, LocalFileSystem, MapWritable, MemoryCalculatorPlugin, MigrationTool, MRAdmin, MultiFileWordCount, MultiFilterRecordReader, NativeS3FileSystem, ObjectWritable, OracleDataDrivenDBInputFormat, OuterJoinRecordReader, OverrideRecordReader, PiEstimator, RandomTextWriter, RandomWriter, RawLocalFileSystem, ResourceCalculatorPlugin, S3FileSystem, ScriptBasedMapping, SequenceFileInputFilter.FilterBase, SequenceFileInputFilter.FilterBase, SequenceFileInputFilter.MD5Filter, SequenceFileInputFilter.MD5Filter, SequenceFileInputFilter.PercentFilter, SequenceFileInputFilter.PercentFilter, SequenceFileInputFilter.RegexFilter, SequenceFileInputFilter.RegexFilter, SerializationFactory, SleepJob, SleepJob.SleepInputFormat, SnappyCodec, SocksSocketFactory, Sort, SortedMapWritable, StreamJob, Submitter, Task, TaskController, TeraGen, TeraSort, TeraValidate, TotalOrderPartitioner, Trash, TypedBytesWritableInput, WritableSerialization

    public interface Configurable

Something that may be configured with a `Configuration`.

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Method Detail

### setConf

    void setConf(Configuration conf)

  Set the configuration to be used by this object.

### getConf

    Configuration getConf()

  Return the configuration used by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation